This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 466299 - system.listNotes returns structs with 'server' NOT system_id
system.listNotes returns structs with 'server' NOT system_id
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2008-10-09 12:27 EDT by Justin Sherrill
Modified: 2015-03-22 21:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:53:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-10-09 12:27:46 EDT
system.listNotes returns a struct with 'server' providing the system_id not 'system_id' as the docs say.  

The docs should be changed.
Comment 1 Justin Sherrill 2008-10-09 12:35:12 EDT
4fc505e..0bd3e70
Comment 2 Sayli Karmarkar 2009-01-22 15:51:05 EST
Verified:

server.system.listNotes(key, 1000010056)

[{'note': 'foobar', 
  'creator': 'admin', 
  'system_id': 1000010056,        <<---- system_id as per the docs
  'id': 1, 
  'subject': 'foo'}]

~SayliK
Comment 3 Steve Salevan 2009-08-14 16:39:07 EDT
RELEASE_PENDING on latest Stage build.
Comment 4 Brandon Perkins 2009-09-10 15:53:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.